require 'spec_helper'

describe CrvApiClient do

  describe "configure" do
    it "should assign endpoints" do
      animals = "EndpointAnimals"
      reproduction = "EndpointReproduction"
      result = CrvApiClient.configure do |config|
        config.endpoint_animals = animals
        config.endpoint_reproduction = reproduction
      end

      expect(CrvApiClient.configuration.endpoint_animals).to eq(animals)
      expect(CrvApiClient.configuration.endpoint_reproduction).to eq(reproduction)

      expect(result).to be_truthy
    end

  end

end