# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'crv_api_client/version'

Gem::Specification.new do |spec|
  spec.name          = "crv_api_client"
  spec.description   = "CRV API client"
  spec.homepage		   = "https://nedap.com"
  spec.version       = CrvApiClient::VERSION
  spec.authors       = ["Nedap"]
  spec.email         = ["development-lm@nedap.com"]
  spec.summary       = %q{A Wrapper for the CRV soap API.}
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]
  spec.add_dependency "soap4r-ruby1.9", "~> 2.0.5"

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec", '~> 3.0.0'
  spec.add_development_dependency 'guard', '~> 2.6.1'
  spec.add_development_dependency 'guard-rspec', '~> 4.2.10'
  spec.add_development_dependency 'webmock', '~> 1.18.0'
  spec.add_development_dependency 'vcr', '~> 2.9.2'

end
